IDLC(1)

NAME
idlc - IDL compiler

SYNOPSIS
idlc [options] FILE

DESCRIPTION
idlc generates a language-specific source code representation from IDL files.

OPTIONS

-D MACRO=VALUE]
    Define preprocessor macro MACRO to VALUE (default: 1).

-E  Preprocess only.

-f   case-sensitive
    Switch to case-sensitive mode of operation, i.e. allow entities to contain fields that differ only in case.

-f   keylist
    Force use of #pragma keylist directive even if annotaions occur in the translation unit.

-h  Display available options.

-I PATH
    Add PATH to #include search path

-l LANGUAGE
    Compile representation for LANGUAGE (default: c).

-S  Compile only.

-v  Display version information.

AUTHOR
This manual page was written for Debian by Timo Röhling and may be used without restriction.